function CRC(dataBuf){
	var temp = 0;
	var crc = 0xffff;
	for(var i=0;  i<dataBuf.length;  i++){
	crc ^= parseInt(dataBuf[i].toString());
	for (var j=0;  j<8;  j++){
	temp = 1 & crc;
	crc >>= 1;
	if (temp == 1){
	crc ^= 0xa001;
}
}
}
crc ^= 0xffff;
crc = ('0000'+crc.toString(16)).substr(-4);
return crc;
}